Subject: RE: [hackers-il] Re: The Professor of Shoe-making Walks Bare-Foot ed

From: Chen Shapira <[email-masked]>
Date: Thu, 9 May 2002 18:47:54 +0300

Nadav,

We are having the wrong debate.

Shlomi said:
> I think there should be a dedicated course about working in 
> an integrated
> modern UNIX environment.

Note that this is not an OS course. Its how to work with a specific set of
tools. Its not unix programming, its working in a specific enviroment.

I thought that teaching it in the university is inapropriate. I made a bad
error of judgement by using windows to make fun of the suggestion. I dislike
the idea in any OS.
The UNIX view of the world is taught in the OS course, and at least in TA -
at software 1 as well.

Having made this explenation, I'll proceed to answering point by point.

> And another thing - teaching about RCS (or CVS, or whatever) 
> for 20 minutes,
> after teaching general source-code control ideas, is not the 
> same as having
> a whole semester course about MS-Windows, MS-Office, or even 
> MS Visual C++.

I agree! This is the point I was making. This is not, however, what Shlomi
said.

> The first can be done in a University (many times, by the 
> metargelim), the
> second has absolutely no place in a University (though 
> unfortunately it
> *does* exist :( I know HaifaU has a whole course about using 
> MS-Windows,
> MS-Word and MS-Excell, a fact which I find appalling).

My brother studied Excel in Computer course in high school. I dislike the
idea as well.

> Moreover, the availability of source code allows the students to learn
> better, if they can see how their operating system / database 
> program /
> whatever actually works. Originally, this is why BSD because 
> so prevelent
> in the university world (I talked about this in my "short 
> history of BSD"
> post a few months ago) - because source licenses were cheaply 
> available
> to universities worldwide, and students and faculty found it 
> very educating
> to be able to see the code implementing the OS principles 
> which they had
> just learned. And more than that: it allowed them to *modify* 
> the source
> code to study new ideas they were researching.

I agree. Thats why I support teaching the OS course in Unix. 
The basic ideas are the same, and learning in unix is easier.

Thanks,
Chen.